ResponseStream.TdsInputStream (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.ResponseStream.TdsInputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class ResponseStream.TdsInputStream

    java.lang.Object
      java.io.InputStream
          net.sourceforge.jtds.jdbc.ResponseStream.TdsInputStream

Enclosing class:
  ResponseStream

private static class ResponseStream.TdsInputStream
extends java.io.InputStream

Simple inner class implementing an `InputStream` over the server response.

Field Summary
`(package private) int` | `maxLen` The maximum amount of data to make available.
`(package private) ResponseStream` | `tds` The underlying `ResponseStream`.

Fields inherited from class java.io.InputStream
``

Constructor Summary
`ResponseStream.TdsInputStream(ResponseStream tds, int maxLen)` Creates a `TdsInputStream` instance.

Method Summary
`int` | `read()`
`int` | `read(byte[] bytes, int offset, int len)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tds

    ResponseStream tds

  The underlying `ResponseStream`.

### maxLen

    int maxLen

  The maximum amount of data to make available.

Constructor Detail

### ResponseStream.TdsInputStream

    public ResponseStream.TdsInputStream(ResponseStream tds,
                                         int maxLen)

  Creates a `TdsInputStream` instance.

Parameters:
  `tds` - the underlying `ResponseStream`
  `maxLen` - the maximum amount of data that will be available

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] bytes,
                    int offset,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009